/* filter_evdev/filter_evdev.h
  
  Created: 2009-11
  Updated: 2009-11-27
  
  Main file of the filter_evdev program.

  This is free software licensed under the WTFPL

            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE 
                    Version 3, November 2009 

 Copyright (C) 2009 André Gillibert
  La vieille église, 14370 Vimont, France
 Everyone is permitted to copy and distribute verbatim or modified 
 copies of this license document, and changing it is allowed as long 
 as the name is changed. 

            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE 
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 

  0. You just DO WHAT THE FUCK YOU WANT TO.
*/
#ifndef EVREMAP_H
#define EVREMAP_H

/* Identify an event code.
 * type and code are the same as the ones from struct input_event
 * e.g. type may be EV_REL, while code may be REL_Y
 */
struct code
{
	unsigned type, code; /* e.g. type=EV_REL code=REL_X */
};
/* Associate an event code to a name.
 * e.g. It associates 2/1 (EV_REL/REL_Y) to REL_Y.
 */
struct code_name {
	const char *name;
	struct code code;
};
/* An array containing a large predefined set of code/name pairs
 * This array is defined in the input_map.c file generated from
 * /usr/include/linux/input.h by the build_input_map script
 */
extern const struct code_name code_names[];

#endif
